unpushed

darktable-4.0.1-4.fc37, efl-1.26.3-3.fc37, & 5 more

FEDORA-2022-5b019245ff created by eclipseo 4 months ago for Fedora 37

Update for new libavif

This update's test gating status has been changed to 'waiting'.

4 months ago

This update has been submitted for testing by bodhi.

4 months ago

This update's test gating status has been changed to 'ignored'.

4 months ago

This update has been pushed to testing.

4 months ago
User Icon thunderbirdtr commented & provided feedback 4 months ago

sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-5b019245ff

Problem: problem with installed package kf5-kimageformats-5.99.0-2.fc37.x86_64 - package kf5-kimageformats-5.99.0-2.fc37.x86_64 requires libavif.so.14()(64bit), but none of the providers can be installed - cannot install both libavif-0.11.1-1.fc37.x86_64 and libavif-0.10.1-3.fc37.x86_64 - cannot install the best update candidate for package libavif-0.10.1-3.fc37.x86_64 ==================================================================================================================== Package Architecture Version Repository Size ==================================================================================================================== Upgrading: SDL2_image x86_64 2.6.1-3.fc37 updates-testing 103 k SDL2_image-devel x86_64 2.6.1-3.fc37 updates-testing 17 k Skipping packages with conflicts: (add '--best --allowerasing' to command line to force their upgrade): libavif x86_64 0.11.1-1.fc37 updates-testing 82 k

Transaction Summary

Upgrade 2 Packages Skip 1 Package

BZ#2134623 libavif-0.11.1 is available
User Icon adamwill commented & provided feedback 4 months ago

This update is actually kinda against the updates policy. Already after updates-testing activation we say "Maintainers SHOULD: Avoid ABI/API changes where possible. If unavoidable, use a side-tag to rebuild packages." OK, that's fairly weak and in practice API changes after u-t activation happen a lot. However, this update was submitted during Final freeze, and it doesn't fix a blocker or FE bug, so it cannot go stable till after release, and at that point the "Stable Releases" section applies, which says:

"ABI changes in general are very strongly discouraged, they force larger update sets on users and they make life difficult for third-party packagers."

You're really not supposed to change ABI in stable releases for no reason other than "there's a new version available".

User Icon adamwill commented & provided feedback 4 months ago

@thunderbirdtr 's error kinda implies that something requires kf5-kimageformats-5.99.0-2.fc37 and cannot be satisfied by kf5-kimageformats-5.99.0-4.fc37 , which would imply that whatever that thing is needs to be rebuilt and pulled into this update. We'd have to look at any difference in the provides: of those two builds, and what other packages depend on those provides:, to figure it out...

This update has been unpushed.

User Icon kalev commented & provided feedback 2 months ago

I did a libavif0.10 compat package to help get this one over the finish line and submitted it all again as FEDORA-2022-c8eab6e6f1


Please login to add feedback.

Metadata
Type
bugfix
Karma
0
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
3
Stable by Time
7 days
Dates
submitted
4 months ago
in testing
4 months ago
BZ#2134623 libavif-0.11.1 is available
0
1

Automated Test Results

ignored